Skip to main content
System Global Type/System Error Code Operations
GETSystem Error Code OperationsSince 4.5.0SynchronousAuth Required

GetElaborationCategories

GetElaborationCategories

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • categoriesListRequired

    For more information, see categories

    • categoryStringRequired

      The category name.

    • numIntegerRequired

      The count of the error codes under the category.

Endpoint

GET/zstack/v1/errorcode/elaborations/categories

/zstack/v1/errorcode/elaborations/categories

Operation ID

GetElaborationCategories

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/errorcode/elaborations/categories?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "categories": [ { "category": "ACCOUNT", "num": 5.0 }, { "category": "BS", "num": 3.0 }, { "category": "VM", "num": 20.0 } ] }

Change History

This API has no change history records yet.

View all change history